#include "cpptest.h"

CPPTEST_CONTEXT("/UT_DFBProject/mstar_g2/mstar_screen.c");
CPPTEST_TEST_SUITE_INCLUDED_TO("/UT_DFBProject/mstar_g2/mstar_screen.c");

CPPTEST_TEST_SUITE(TestSuite_mstar_screen_c_899e0a52);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarInitScreen_init_caps);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_WH_within_correct_range);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MIN_WH);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MAX_WH);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarGetOPScreenSize_W1280_H720);
CPPTEST_TEST(TestSuite_mstar_screen_c_899e0a52_test_mstarGetVEScreenSize_W1280_H720);
CPPTEST_TEST_SUITE_END();
        

void TestSuite_mstar_screen_c_899e0a52_test_mstarInitScreen_init_caps();
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_WH_within_correct_range();
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MIN_WH();
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MAX_WH();
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetOPScreenSize_W1280_H720();
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetVEScreenSize_W1280_H720();
CPPTEST_TEST_SUITE_REGISTRATION(TestSuite_mstar_screen_c_899e0a52);

void TestSuite_mstar_screen_c_899e0a52_setUp()
{
}

void TestSuite_mstar_screen_c_899e0a52_tearDown()
{
}


/* CPPTEST_TEST_CASE_BEGIN test_mstarInitScreen_init_caps */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarInitScreen(CoreScreen *, CoreGraphicsDevice *, void *, void *, DFBScreenDescription *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarInitScreen_init_caps()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (screen) */ 
    CoreScreen * _screen  = 0 ;
    /* Initializing argument 2 (device) */ 
    CoreGraphicsDevice * _device  = 0 ;
    /* Initializing argument 3 (driver_data) */ 
    void * _driver_data  = 0 ;
    /* Initializing argument 4 (screen_data) */ 
    void * _screen_data  = 0 ;
    /* Initializing argument 5 (description) */ 
    DFBScreenDescription _description;
    /* Initializing global variable MSTAR_Screen */
    /*
    {
         MSTAR_Screen.age  = 0u;
         MSTAR_Screen.enabled  = false;
         MSTAR_Screen.registered  = false;
         MSTAR_Screen.name  = 0 ;
         MSTAR_Screen.description  = 0 ;
         MSTAR_Screen.name_len  = 0;
    }
    */

    {
        /* Tested function call */
        DFBResult _return  = mstarInitScreen(_screen, _device, _driver_data, _screen_data, &_description);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL(DSCCAPS_NONE, (_description.caps));
        CPPTEST_ASSERT_CSTR_EQUAL("MSTAR Screen", (_description.name));
    }
}
/* CPPTEST_TEST_CASE_END test_mstarInitScreen_init_caps */




/* CPPTEST_TEST_CASE_BEGIN test_mstarGetIP0ScreenSize_WH_within_correct_range */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarGetIP0ScreenSize(CoreScreen *, void *, void *, int *, int *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_WH_within_correct_range()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (screen) */ 
    CoreScreen * _screen  = 0 ;
    /* Initializing argument 2 (driver_data) */ 
    void * _driver_data  = 0 ;
    /* Initializing argument 3 (screen_data) */ 
    void * _screen_data  = 0 ;
    /* Initializing argument 4 (ret_width) */ 
    int _ret_width  = 0 ;
    /* Initializing argument 5 (ret_height) */ 
    int _ret_height  = 0 ;
    /* Initializing global variable MSTAR_Screen */
    {
        /* Tested function call */
        DFBResult _return  = mstarGetIP0ScreenSize(_screen, _driver_data, _screen_data, &_ret_width, &_ret_height);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL(1280, (_ret_width));
        CPPTEST_ASSERT_INTEGER_EQUAL(720, (_ret_height));
    }
}
/* CPPTEST_TEST_CASE_END test_mstarGetIP0ScreenSize_WH_within_correct_range */

/* CPPTEST_TEST_CASE_BEGIN test_mstarGetIP0ScreenSize_unsupported_MIN_WH */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarGetIP0ScreenSize(CoreScreen *, void *, void *, int *, int *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MIN_WH()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (screen) */ 
    CoreScreen * _screen  = 0 ;
    /* Initializing argument 2 (driver_data) */ 
    void * _driver_data  = 0 ;
    /* Initializing argument 3 (screen_data) */ 
    void * _screen_data  = 0 ;
    /* Initializing argument 4 (ret_width) */ 
    int _ret_width  = 0 ;
    /* Initializing argument 5 (ret_height) */ 
    int _ret_height  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = mstarGetIP0ScreenSize(_screen, _driver_data, _screen_data, &_ret_width, &_ret_height);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL(640, (_ret_width));
        CPPTEST_ASSERT_INTEGER_EQUAL(480, (_ret_height));
    }
}
/* CPPTEST_TEST_CASE_END test_mstarGetIP0ScreenSize_unsupported_MIN_WH */

/* CPPTEST_TEST_CASE_BEGIN test_mstarGetIP0ScreenSize_unsupported_MAX_WH */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarGetIP0ScreenSize(CoreScreen *, void *, void *, int *, int *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetIP0ScreenSize_unsupported_MAX_WH()
{
	/* Pre-condition initialization */
	/* Initializing argument 1 (screen) */
	CoreScreen * _screen  = 0 ;
	/* Initializing argument 2 (driver_data) */
	void * _driver_data  = 0 ;
	/* Initializing argument 3 (screen_data) */
	void * _screen_data  = 0 ;
	/* Initializing argument 4 (ret_width) */
	int _ret_width  = 0 ;
	/* Initializing argument 5 (ret_height) */
	int _ret_height  = 0 ;
	{
	    /* Tested function call */
	    DFBResult _return  = mstarGetIP0ScreenSize(_screen, _driver_data, _screen_data, &_ret_width, &_ret_height);
	    /* Post-condition check */
	    CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
	    CPPTEST_ASSERT_INTEGER_EQUAL(640, (_ret_width));
	    CPPTEST_ASSERT_INTEGER_EQUAL(480, (_ret_height));
	}
}
/* CPPTEST_TEST_CASE_END test_mstarGetIP0ScreenSize_unsupported_MAX_WH */

/* CPPTEST_TEST_CASE_BEGIN test_mstarGetOPScreenSize_W1280_H720 */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarGetOPScreenSize(CoreScreen *, void *, void *, int *, int *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetOPScreenSize_W1280_H720()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (screen) */ 
    CoreScreen * _screen  = 0 ;
    /* Initializing argument 2 (driver_data) */ 
    void * _driver_data  = 0 ;
    /* Initializing argument 3 (screen_data) */ 
    void * _screen_data  = 0 ;
    /* Initializing argument 4 (ret_width) */ 
    int _ret_width  = 0 ;
    /* Initializing argument 5 (ret_height) */ 
    int _ret_height  = 0 ;

    {
        /* Tested function call */
        DFBResult _return  = mstarGetOPScreenSize(_screen, _driver_data, _screen_data, &_ret_width, &_ret_height);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL(1280, (_ret_width));
        CPPTEST_ASSERT_INTEGER_EQUAL(720, (_ret_height));
    }
}
/* CPPTEST_TEST_CASE_END test_mstarGetOPScreenSize_W1280_H720 */

/* CPPTEST_TEST_CASE_BEGIN test_mstarGetVEScreenSize_W1280_H720 */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult mstarGetVEScreenSize(CoreScreen *, void *, void *, int *, int *) */
void TestSuite_mstar_screen_c_899e0a52_test_mstarGetVEScreenSize_W1280_H720()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (screen) */ 
    CoreScreen * _screen  = 0 ;
    /* Initializing argument 2 (driver_data) */ 
    void * _driver_data  = 0 ;
    /* Initializing argument 3 (screen_data) */ 
    void * _screen_data  = 0 ;
    /* Initializing argument 4 (ret_width) */ 
    int _ret_width  = 0 ;
    /* Initializing argument 5 (ret_height) */ 
    int _ret_height  = 0 ;

    {
        /* Tested function call */
        DFBResult _return  = mstarGetVEScreenSize(_screen, _driver_data, _screen_data, &_ret_width, &_ret_height);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL(1280, (_ret_width));
        CPPTEST_ASSERT_INTEGER_EQUAL(720, (_ret_height));
    }
}
/* CPPTEST_TEST_CASE_END test_mstarGetVEScreenSize_W1280_H720 */

